package com.ruoyi.enums.user;

import java.util.Arrays;

/**
 * 用户类型枚举
 * @Author liwenlong
 */
public enum UserEnums {


    /**
     * 平台
     */
    platform(0, "平台"),

    /**
     * 用户(设计师)
     */
    customer(1, "用户"),


    /**
     * 表现师
     */
    store(2, "表现师"),

    /**
     * 销售
     */
    sale(3, "销售"),

    /**
     * 企业
     */
    enterprise(4, "企业"),


    ;

    private final Integer code;
    private final String name;

    public static String getName(Integer code) {
        return getUserEnums(code).name;
    }


    public static UserEnums getUserEnums(Integer code) {
        return Arrays.stream(UserEnums.values()).filter(c->c.getCode().equals(code)).findFirst().get();
    }

    UserEnums(Integer code, String name) {
        this.code = code;
        this.name = name;
    }

    public Integer getCode() {
        return code;
    }

    public String getName() {
        return name;
    }


}
